Loading...
Searching...
No Matches
hwcontext_cuda.h File Reference

An API-specific header for AV_HWDEVICE_TYPE_CUDA. More...

`#include <cuda.h>`
`#include "pixfmt.h"`

Go to the source code of this file.

## Data Structures

struct | AVCUDADeviceContext
| This struct is allocated as AVHWDeviceContext.hwctx. More...

## Macros

#define | AV_CUDA_USE_PRIMARY_CONTEXT (1 << 0)
| Use primary device context instead of creating a new one.
#define | AV_CUDA_USE_CURRENT_CONTEXT (1 << 1)
| Use current device context instead of creating a new one.

## Typedefs

typedef struct AVCUDADeviceContextInternal | AVCUDADeviceContextInternal

## Detailed Description

An API-specific header for AV_HWDEVICE_TYPE_CUDA.

This API supports dynamic frame pools. AVHWFramesContext.pool must return AVBufferRefs whose data pointer is a CUdeviceptr.

Definition in file hwcontext_cuda.h.

## Typedef Documentation

## AVCUDADeviceContextInternal

typedef struct AVCUDADeviceContextInternal AVCUDADeviceContextInternal

Definition at line 37 of file hwcontext_cuda.h.